#cython: language_level=3

from .capi.obitypes cimport index_t
from ._obidms       cimport OBIDMS_column , OBIDMS_column_multi_elts


cdef class OBIDMS_column_qual(OBIDMS_column):
    cpdef object get_line(self, index_t line_nb)
    cpdef object get_str_line(self, index_t line_nb)
    cpdef set_line(self, index_t line_nb, object value)
    cpdef set_str_line(self, index_t line_nb, object value)


cdef class OBIDMS_column_multi_elts_qual(OBIDMS_column_multi_elts):
    cpdef object get_item(self, index_t line_nb, str element_name)
    cpdef object get_str_item(self, index_t line_nb, str element_name)
    cpdef object get_line(self, index_t line_nb)
    cpdef object get_str_line(self, index_t line_nb)
    cpdef set_item(self, index_t line_nb, str element_name, object value)
    cpdef set_str_item(self, index_t line_nb, str element_name, object value)
