/*
 * sse_banded_LCS_alignment.h
 *
 *  Created on: november 29, 2012
 *      Author: mercier
 */

#ifndef SSE_BANDED_LCS_ALIGNMENT_H_
#define SSE_BANDED_LCS_ALIGNMENT_H_


#include <stdint.h>
#include <stdbool.h>

#include "obiblob.h"


#define ALILEN (0)	// TODO enum
#define MAXLEN (1)
#define MINLEN (2)

// TODO doc
int calculateLCSmin(int l1, int l2, double threshold, bool normalize, int reference, bool lcsmode);
double generic_sse_banded_lcs_align(char* seq1, char* seq2, double threshold, bool normalize, int reference, bool similarity_mode);
double obiblob_sse_banded_lcs_align(Obi_blob_p seq1, Obi_blob_p seq2, double threshold, bool normalize, int reference, bool similarity_mode);

#endif
