
#ifndef UPPERBAND_H_
#define UPPERBAND_H_

// TODO doc

#include <stdbool.h>
#include <stdio.h>

#include "obiblob.h"
#include "obiview.h"
#include "obidmscolumn.h"


typedef struct {
	unsigned char* table;      	// 4mer occurrence table built using the build_table function
	int32_t        over;        // count of 4mers with an occurrence greater than 255 (overflow)
} Kmer_table_t, *Kmer_table_p;


Kmer_table_p hash_seq_column(Obiview_p view, OBIDMS_column_p seq_col);
void align_filters(Kmer_table_p ktable, Obi_blob_p seq1, Obi_blob_p seq2, index_t idx1, index_t idx2, double threshold, bool normalize, int reference, bool similarity_mode, double* score, int* LCSmin);
void free_kmer_tables(Kmer_table_p ktable, size_t count);

#endif

